Package org.apache.catalina.security

## Class DeployXmlPermission

- java.lang.Object
- - java.security.Permission
  - - java.security.BasicPermission
    - - org.apache.catalina.security.DeployXmlPermission

All Implemented Interfaces:
  `Serializable`, `Guard`

    public class DeployXmlPermission
    extends BasicPermission

Grant this permission to a docBase to permit the web application to use any `META-INF/context.xml` that might be present with in the application when `deployXML` has been disabled at the Host level. The name of the permission should be the base name for the web application.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`DeployXmlPermission​(String name)`
`DeployXmlPermission​(String name, String actions)`

### Method Summary

### Methods inherited from class java.security.BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods inherited from class java.security.Permission

`checkGuard, getName, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeployXmlPermission

    public DeployXmlPermission​(String name)

#### DeployXmlPermission

    public DeployXmlPermission​(String name,
                               String actions)